import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { NeedsType, OnlineDemarche } from '../../enums/orientation.enums';
import { MediationStepType, MediationType } from '../../types/orientation.types';

@Component({
  selector: 'app-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent {
  @Input() currentStep: MediationStepType;
  @Input() currentType: OnlineDemarche | MediationType;
  @Input() isPageValid: boolean;
  @Input() needType: NeedsType;
  @Input() isPrevHidden = false;
  @Input() isLastStep = false;
  @Input() hideNavButtons = false;
  @Input() failedOrientation = false;

  @Output() goNext = new EventEmitter<any>();
  @Output() goPrev = new EventEmitter<any>();
  @Output() goReset = new EventEmitter<any>();

  public NeedsTypeEnum = NeedsType;
  constructor(
    private router: Router,
    private route: ActivatedRoute,
  ) {}
  public nextPage(isPrint?: boolean): void {
    this.goNext.emit(isPrint);
  }

  public prevPage(): void {
    this.goPrev.emit();
  }
  public goCarto(): void {
    this.goReset.emit();
    this.router.navigateByUrl('/acteurs');
  }
  public resetOrientation(): void {
    this.goReset.emit();
  }
}
